#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fork = require("child_process").fork;
const yargs = require("yargs");
yargs
    .scriptName("@create-web3-app/scripts")
    .usage("$0 <cmd> [args]")
    .command("ipfs", "Wraps a compiled client application to be served by IPFS", (yargs) => {
    yargs.positional("directory", {
        alias: ["dir", "d"],
        type: "string",
        default: "./build",
        description: "where to look for the production built code",
    });
}, function (argv) {
    const script = require.resolve("./scripts/ipfs");
    fork(script, [], {
        stdio: "inherit",
    });
})
    .help().argv;
//# sourceMappingURL=index.js.map